#!/usr/bin/env bash
# MIT License
#
# (C) Copyright [2021] Hewlett Packard Enterprise Development LP
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.

echo "When prompted, please enter the NCN password for ncn-m002"
if ! SCRIPT=$(cat /usr/share/doc/csm/install/scripts/check_lvm_helper); then
    echo "ERROR: Unable to read /usr/share/doc/csm/install/scripts/check_lvm_helper" 1>&2
    exit 1
fi

if ssh -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null ncn-m002 "$SCRIPT" ; then
    echo "SUCCESS: LVM checks passed on all master and worker NCNs"
    exit 0
else
    echo "FAILURE: At least one problem encountered performing LVM checks on master and worker NCNs" 1>&2
    exit 1
fi
